"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DeploymentsVersions = void 0;
const sequelize_1 = require("sequelize");
const connections_1 = require("../core/utils/connections");
exports.DeploymentsVersions = connections_1.sequelize.define('DeploymentsVersions', {
    id: {
        type: sequelize_1.DataTypes.INTEGER({ length: 10 }),
        allowNull: false,
        autoIncrement: true,
        primaryKey: true,
    },
    deployment_id: sequelize_1.DataTypes.INTEGER({ length: 10 }),
    app_version: sequelize_1.DataTypes.STRING,
    current_package_id: sequelize_1.DataTypes.INTEGER({ length: 10 }),
    min_version: sequelize_1.DataTypes.BIGINT({ length: 20 }),
    max_version: sequelize_1.DataTypes.BIGINT({ length: 20 }),
    created_at: sequelize_1.DataTypes.DATE,
    updated_at: sequelize_1.DataTypes.DATE,
}, {
    tableName: 'deployments_versions',
    underscored: true,
    paranoid: true,
});
