"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PackagesDiff = void 0;
const sequelize_1 = require("sequelize");
const connections_1 = require("../core/utils/connections");
exports.PackagesDiff = connections_1.sequelize.define('PackagesDiff', {
    id: {
        type: sequelize_1.DataTypes.INTEGER({ length: 10 }),
        allowNull: false,
        autoIncrement: true,
        primaryKey: true,
    },
    package_id: sequelize_1.DataTypes.INTEGER({ length: 10 }),
    diff_against_package_hash: sequelize_1.DataTypes.STRING,
    diff_blob_url: sequelize_1.DataTypes.STRING,
    diff_size: sequelize_1.DataTypes.INTEGER({ length: 10 }),
    created_at: sequelize_1.DataTypes.DATE,
    updated_at: sequelize_1.DataTypes.DATE,
}, {
    tableName: 'packages_diff',
    underscored: true,
    paranoid: true,
});
