"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.accountRouter = void 0;
const express_1 = __importDefault(require("express"));
const middleware_1 = require("../core/middleware");
exports.accountRouter = express_1.default.Router();
exports.accountRouter.get('/', middleware_1.checkToken, (req, res) => {
    const { logger } = req;
    const account = {
        email: req.users.email,
        linkedProviders: [],
        name: req.users.username,
    };
    logger.info('check account info', { account: JSON.stringify(account) });
    res.send({ account });
});
